
.featured-content-label {
    margin-top: 100px;
}

.custom-search-form {
    display: flex;
    justify-content: center;
}

#navbar {
    margin-top: -15px;
    margin-bottom: 15px;
}

.custom-no-wrap {
    white-space: nowrap;
}

.custom-portal-single-publication {
    width: 262px;
    margin: 40px 21px 0 0;
    padding: 16px;
    box-shadow: 0 8px 19px 3px rgba(157, 165, 177, 0.4);
    background-color: #ffffff;
    display: flex;
    justify-content: center;
}

.custom-portal-single-publication a {
    text-align: center;
}

.custom-portal-single-publication img {
    max-height: 50px;
}

.custom-portal-single-publication h3 {
    font-size: 18px;
    font-weight: 600;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.42;
    letter-spacing: normal;
    text-align: center;
    color: #566070;
    text-transform: capitalize;
}

.portal-single-publication {
    width: 262px;
    height: 110px;
    margin: 0px 23px 40px 0;
    padding: 16px 106px 51px 107px;
    background-color: #ffffff;
}

.custom_search_button {
    border-radius: 0 20px 20px 0 !important;
    width: 129px;
    height: 43px;
    font-size: 20px;
    font-weight: 500;
    border: 0;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: normal;
    text-align: center;
    color: #ffffff;
    background-color: #fa385d;
}

.custom-search-field {
    width: 437px;
    height: 43px;
    padding: 0 7px 0 20px;
    border-radius: 20px 0 0 20px;
    background-color: #ffffff;
    border: 0;
}

.search-text {
    font-size: 14px;
    font-weight: normal;
    font-stretch: normal;
    font-style: italic;
    line-height: 1.82;
    letter-spacing: normal;
    color: #fffffe;
}

.search-text a {
    color: #fa385d;
}

.flex-center {
    display: flex;
    justify-content: center;
    width: 100%;
}

.portal-header-navbar .logo {
    height: 44px;
}

.version-dropdown span.caret {
    float: right;
    margin: 0;
    padding: 0;
    margin-top: 10px;
    margin-left: 5px;
}

.version-dropdown a.has-submenu {
    text-transform: capitalize;
    font-size: 18px;
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.5;
    letter-spacing: normal;
    text-align: center;
    color: #ffffff !important;
    width: 100%;
    cursor: pointer;
}

.version-dropdown a.has-submenu:hover,
.version-dropdown a.has-submenu:not(:hover) {
    color: #ffffff !important;
}

.portal-header h2 {
    font-size: 52px;
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.3;
    letter-spacing: normal;
    color: #ffffff;
}

.navbar-header {
    float: none;
}

.navbar-brand {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
}

li.version-dropdown {
    float: none;
}

.navbar-fixed-bottom .navbar-collapse,
.navbar-fixed-top .navbar-collapse {
    width: 100%;
    text-align: center;
}

.navbar-collapse.collapse {
    display: flex !important;
    justify-content: center;
}


/* Primary color for links, buttons, portal header, titles  */

.text-primary,
.btn-primary .badge,
.btn-link,
.pagination>li>a,
.pagination>li>span,
.portal-single-publication .publication-icon i,
.portal-single-publication .publication-icon .fa,
.publication-contents a:hover,
.titlepage h1.title,
.titlepage h2.title,
.titlepage h3.title {
    /* philip: change headers & icons to cyan */
    color: #222E41;
}

.searchresultitem a {
    color: #222e41;
}

ul.searchresults .search-highlight {
    color: #0A84FF;
}

.search-result-url,
.search-result-breadcrumbs {
    color: #9DA5B1;
}


/* philip: change links to red */

a,
.nav-site-sidebar .active>a,
.publication-contents h4 a,
.xref {
    color: #0A84FF;
}

.theme2 .section-nav.nav li.active>a,
.theme2 .section-nav.nav>li.active>a:before,
a::before {
    color: #fa385d;
    background: #FFF
}

.bg-primary,
.btn-primary,
.publications-condensed .portal-single-publication a,
.toolbar,
.tool-search-form .search-field,
.pager li>a:hover,
.pager li>span:hover,
.colored-top .site-sidebar-header {
    background-color: #222E41
}

.btn-primary,
.nav .open>a,
.nav .open>a:hover,
.nav .open>a:focus,
.colored-top .site-sidebar-header {
    border-color: #252525;
}


/* Hover primary color */

a:hover,
a:focus,
a.text-primary:hover,
a.text-primary:focus,
.btn-link:hover,
.btn-link:focus,
.pagination>li>a:hover,
.pagination>li>span:hover,
.pagination>li>a:focus,
.pagination>li>span:focus {
    color: #999;
}

a.bg-primary:hover,
a.bg-primary:focus,
.btn-primary:hover,
.btn-primary:active:hover,
.btn-primary.active:hover,
.open>.dropdown-toggle.btn-primary:hover,
.btn-primary:active:focus,
.btn-primary.active:focus,
.open>.dropdown-toggle.btn-primary:focus,
.btn-primary:active.focus,
.btn-primary.active.focus,
.open>.dropdown-toggle.btn-primary.focus,
.portal-header .portal-search button:hover {
    background-color: #999;
}

.portal-header .portal-search button {
    background-color: #fa385d;
}

.site-sidebar .logo {
    padding: 14px 0;
}

.theme2 .site-footer {
    padding-left: 0px;
    padding-right: 0px;
}

.portal-footer .inner,
.site-footer .inner {
    padding: 25px 15px;
}

.portal-footer .inner {
    background-color: #222e41;
}

.section-toc .topic-link {
    padding: 0px;
}

.versionselector .btn {
    padding: 0px 20px;
}

.versionselector .btn .caret {
    margin-left: 5px;
}

.versionselector .btn-primary:hover,
.versionselector .btn-primary:active,
.versionselector .btn-primary:focus {
    background-color: transparent !important;
    border-color: transparent !important;
}

.informaltable .th {
    background-color: #eee;
}

.informaltable .th,
.informaltable .td {
    padding: 8px;
}


/* re-added the previous and next buttons
.pager {
    display: none;
}
 */

.warning,
.note,
.important,
.caution,
.tip {
    /* changed from display table to table-cell to allow it to display correctly in tables */
    display: table-cell;
    border-top: solid thin grey;
    border-right: solid thin grey;
    border-bottom: solid thin grey;
    border-left-width: 5px;
    border-left-style: solid;
    background-color: transparent;
}

.note:before,
.tip:before,
.warning:before,
.caution:before,
.important:before {
    left: 1em;
    top: 40%;
}

.note:before {
    content: '\f05a';
    color: #c7236b;
}

.warning:before {
    color: #f8ad40;
    display: table-cell;
    vertical-align: middle;
}

.warning>h3,
.note>h3,
.important>h3,
.caution>h3,
.tip>h3 {
    display: none;
}

.note {
    border-left-color: #c7236b;
}

.warning {
    border-left-color: #f8ad40;
}

pre {
    border: thin solid grey;
    border-radius: 0px;
}

.publication-icon {
    float: left;
}

.abstract {
    display: none;
}

.topic-abstract {
    margin-top: 2em;
    text-align: left;
}


/* .portal-single-publication h3 {
    text-align: left;
    margin-left: 2em;
    margin-top: 0.5em;
}

.portal-single-publication a {
    padding: 15px 15px;
    box-shadow: none;
}
@media (min-width : 992px) {
    .portal-single-publication a {
        padding: 20px 20px;
    }
}

.portal-single-publication .publication-icon {
    width: 40px;
    height: 40px;
    display: inline-block;
    border-radius: 50%;
    background-color: transparent;
    text-align: center;
    font-size: 24px;
    line-height: 40px
}
@media (min-width : 992px) {
    .portal-single-publication .publication-icon {
        font-size: 48px;
        width: 60px;
        height: 60px;
        line-height: 60px
    }
} */

.cat-panel-1:before {
    content: "\f02d";
    /* Docs version: book */
}

.cat-panel-2:before {
    content: "\f007";
    /* Operator: user-friends */
}

.cat-panel-3:before {
    content: "\f013";
    /* Admin: cog */
}

.cat-panel-4:before {
    content: "\f135";
    /* Implementer: rocket */
}

.cat-panel-5:before {
    content: "\f12e";
    /* Integrations: puzzle */
}

.cat-panel-6:before {
    content: "\f05b";
    /* Algo: crosshairs */
}

.cat-panel-7:before {
    content: "\f121";
    /* Dev: code */
}

.titlepage-data .titlepage .title {
    text-align: center;
    color: #4087c3;
}

.titlepage-data .titlepage-abstract {
    padding-left: 5em;
    padding-right: 5em;
}

.gif-icon::after {
    content: 'Hover over to play GIF';
    visibility: visible;
    width: 200px;
    position: absolute;
    z-index: 1000;
    display: block;
    padding: 10px;
    background-color: #222;
    color: #fff;
    text-align: center;
    border-radius: 5px;
    padding: 5px;
}

.gif-icon {
    top: 40%;
    left: 35%;
    visibility: hidden;
}


/* Reduce space before heading */

h1,
h2,
h3,
h4,
h5 {
    margin: 0.5em 0;
}


/*  Reduce space between listitems  */

ul p,
ol p {
    margin: 0 0 0.75em;
}


/*  Reduce space between multiple paragraph in tables */

.informaltable td p {
    margin-bottom: 0.5em;
}


/* Added border around videos */

.videoobject {
    border: solid rgb(224, 224, 224) thin;
    padding-top: 0px;
    /*    padding-bottom: 0px;*/
}


/* Added border around images */

.mediaobject img {
    border: solid rgb(224, 224, 224) thin;
}


/* added some margin after table so that paragraphs don't get so tightly fitted against them */

table {
    margin-bottom: 1em;
}


/* Staging info
.breadcrumb::before {
  content: "Moogsoft v7.3.0 DRAFT DOCUMENTATION. Internal Only | ";
  color: red;
}
*/


/* Black text in header */

.portal-header {
    color: #000
}


/* Remove opacity & filter for portal banner */

.portal-header::after {
    opacity: 1;
    filter: none;
    color: #000
}

@media only screen and (max-width: 600px) {
    .portal-header {
        height: 420px;
    }
    .logo-link {
        margin-top: 0;
    }
    .logo {
        margin-bottom: 0;
    }
    h2 {
        margin-top: -20px;
    }
    .custom_search_button {
        font-size: 17px;
    }
    .custom-portal-single-publication:nth-child(1) {
        margin-top: 0;
    }
    .custom-portal-single-publication {
        margin-right: 0;
    }
}

.sm.sm-simple {
    /*To make this work with version menu and top nav together, if used*/
    float: left;
}

.sm-simple ul {
    position: absolute;
    width: 12em;
}

.sm-simple li {
    float: left;
}

.sm-simple.sm-rtl li {
    float: right;
}

.sm-simple ul li,
.sm-simple.sm-rtl ul li,
.sm-simple.sm-vertical li {
    float: none;
}

.sm-simple a {
    /*    white-space: nowrap;*/
    white-space: normal;
}

.sm-simple ul a,
.sm-simple.sm-vertical a {
    white-space: normal;
}

.sm-simple .sm-nowrap>li>a,
.sm-simple .sm-nowrap>li> :not(ul) a {
    white-space: nowrap;
}

.theme2 .toolbar.top-nav-on {
    padding: 11px 25px;
}

.toolbar.top-nav-on .breadcrumb-container {
    padding: 11px 20px;
}

.portal-header-navbar .sm-simple {
    margin-top: 10px;
    margin-right: 15px;
}

.sm-simple a,
.sm-simple a:hover,
.sm-simple a:focus,
.sm-simple a:active,
.sm-simple a:visited,
.sm-simple a.highlighted {
    padding: 11px 20px;
    color: #555;
}

.sm-simple>li>a,
.sm-simple>li>a:hover,
.sm-simple>li>a:focus,
.sm-simple>li>a:active,
.sm-simple>li>a.highlighted {
    /*padding-right: 30px !important;*/
    color: inherit !important;
    background: transparent !important;
}

.sm-simple a:hover,
.sm-simple a:focus,
.sm-simple a:active,
.sm-simple a.highlighted {
    background: #eeeeee;
}

.sm-simple ul li a,
.sm-simple ul li a:hover,
.sm-simple ul li a:focus,
.sm-simple ul li a:active,
.sm-simple ul li a.highlighted {
    /* For glyph not to overlap when child topics in sub menu */
    padding-right: 30px;
}

.sm-simple .caret {
    margin-right: 8px;
}

.sm-simple .glyphicon {
    position: absolute;
    top: 0;
    right: 10px;
    margin: 4px;
    margin-top: 16px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    -webkit-font-smoothing: antialiased;
    font-style: normal;
    font-weight: 300;
    line-height: 1;
    font-size: 10px;
}

.sm-simple .glyphicon:before {
    content: "\e258";
}

.sm-simple ul {
    background: #fff;
    box-shadow: 0 8px 10px 1px rgba(0, 0, 0, 0.14), 0 3px 14px 2px rgba(0, 0, 0, 0.12), 0 5px 5px -3px rgba(0, 0, 0, 0.2);
}

.sm-simple.sm-rtl a.has-submenu {
    padding-right: 20px;
    padding-left: 32px;
}


/* .sm-simple.sm-rtl.sm-vertical a.has-submenu {
        padding: 10px 20px;
    } */

.sm-simple.sm-rtl>li:first-child {
    border-left: 1px solid #eeeeee;
}

.sm-simple.sm-rtl>li:last-child {
    border-left: 0;
}


/* .sm-simple.sm-rtl ul a.has-submenu {
        padding: 11px 20px;
    } */

.sm-simple.sm-vertical li {
    border-left: 0;
    border-top: 1px solid #eeeeee;
}

.sm-simple.sm-vertical>li:first-child {
    border-top: 0;
}

.sm-simple a,
.sm-simple a {
    font-size: 14px;
}

.theme3 .sm-simple,
.theme3b .sm-simple {
    float: left;
    margin: 0;
}

.theme3 .sm-simple>li>a,
.theme3b .sm-simple>li>a {
    color: inherit;
    padding-top: 15px;
    padding-bottom: 15px;
    font-weight: 400;
    text-transform: uppercase;
}

.site-body .has-submenu,
.site-body .has-submenu:hover,
.site-body .has-submenu:not(:hover) {
    padding: 0;
    margin-top: 23px;
}

.top-nav-on {
    padding-bottom: 0 !important;
}

.tool-search {
    margin-top: -4px;
}

@media (max-width: 600px) {
    .toolbar-tools {
        float: unset;
    }
    .tool-search,
    .navbar-toggle {
        float: right;
        margin-top: 0;
    }
    .breadcrumb-container {
        padding-top: 0 !important;
    }
}
